Roles and permissions are now available. Give team members granular permissions. View the docs →
curl --request GET \
--url https://cloud.laravel.com/api/websocket-servers/{websocketServer} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"hostname": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"applications": {
"data": [
{
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"app_id": "<string>",
"allowed_origins": [
"<unknown>"
],
"ping_interval": 123,
"activity_timeout": 123,
"max_message_size": 123,
"max_connections": 123,
"key": "<string>",
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"server": {
"data": {
"id": "<string>"
}
}
}
}
]
}Get a specific WebSocket cluster.
curl --request GET \
--url https://cloud.laravel.com/api/websocket-servers/{websocketServer} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"hostname": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"applications": {
"data": [
{
"id": "<string>"
}
]
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"app_id": "<string>",
"allowed_origins": [
"<unknown>"
],
"ping_interval": 123,
"activity_timeout": 123,
"max_message_size": 123,
"max_connections": 123,
"key": "<string>",
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"server": {
"data": {
"id": "<string>"
}
}
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The Bearer Token generated on the Cloud UI.
The websocket server identifier
applications Was this page helpful?